Package org.apache.calcite.avatica.util

# Class DateTimeUtils.PrecisionTime

java.lang.Object
org.apache.calcite.avatica.util.DateTimeUtils.PrecisionTime

Enclosing class:
  DateTimeUtils

public static class DateTimeUtils.PrecisionTime extends Object
Helper class for `DateTimeUtils.parsePrecisionDateTimeLiteral(java.lang.String, java.lang.String, java.util.TimeZone)`

## Constructor Summary

Constructors
Constructor
Description
`PrecisionTime(Calendar cal, String fraction, int precision)`

## Method Summary

Modifier and Type
Method
Description
`Calendar`
`getCalendar()`
`String`
`getFraction()`
`int`
`getPrecision()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PrecisionTime

public PrecisionTime(Calendar cal, String fraction, int precision)

## Method Details

### getCalendar

public Calendar getCalendar()

### getPrecision

public int getPrecision()

### getFraction

public String getFraction()